unit OpenAPI.Json.Attributes;

interface

uses
  Bcl.Json.Attributes;

type
  OAJsonInclusionAttribute = class(JsonIncludeAttribute)
  public
    constructor Create;
  end;

  OAJsonNamingAttribute = class(JsonNamingStrategyAttribute)
  public
    constructor Create;
  end;

implementation

uses
  Bcl.Json.Converters, Bcl.Json.NamingStrategies;

{ OAJsonInclusionAttribute }

constructor OAJsonInclusionAttribute.Create;
begin
  inherited Create(TInclusionMode.NonDefault);
end;

{ OAJsonNamingAttribute }

constructor OAJsonNamingAttribute.Create;
begin
  inherited Create(TCamelCaseNamingStrategy);
end;

end.
